
package rest;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class Catalog {

  private List<Product> products;

  public Catalog() {
    products = new ArrayList<Product>();
    Product p = new Product();
    p.setId("123");
    p.setName("Shirt");
    p.setPrice(159.95D);

    Product p2 = new Product();
    p2.setId("456");
    p2.setName("Suit");
    p2.setPrice(2500D);

    products.add(p);
    products.add(p2);
  }

  public List<Product> getProducts() {
    return products;
  }
    
  public void setProducts(List<Product> products) {
        this.products = products;
  }
    
  @Override
  public String toString() {
      return products.toString();
  }
}
